<?php

class Rpsmdw_Admin extends Rpsmdw_Main {

    public function __construct() {
        /* call parent class construct */
        parent::__construct();

        /* plugin admin menu hook */
        add_action("admin_menu", array($this, "adminMenu"));

        /* hook for register admin style and js */
        add_action("admin_enqueue_scripts", array($this, "adminEnqueueScripts"));
        
    }


    /**
     * Function for register admin js and css
     */
    public function adminEnqueueScripts() {
        wp_enqueue_script('jquery');
        wp_enqueue_style('wp-color-picker');
        wp_enqueue_media();
        wp_enqueue_script('rpsmdw-admin', self::$plugin_url . "assets/js/admin.js", array('wp-color-picker'),false,true);
        wp_enqueue_style('rpsmdw-admin', self::$plugin_url . "assets/css/admin.css");
    }

    /**
     * Function for admin menu
     */
    public function adminMenu() {
        $wc_page = 'woocommerce';
        add_submenu_page($wc_page, esc_html__(self::$plugin_title, self::$taxdomain), esc_html__(self::$plugin_title, self::$taxdomain), "install_plugins", self::$plugin_slug, array($this, "settingPage"));
        
    }

    /**
     * Plugin general setting page
     */
    public function settingPage() {
        /* save plugin setting */
        if (isset($_POST[self::$taxdomain])) {
            $this->saveSetting();
        }

        /* include setting file */
        include_once self::$plugin_dir . "view/admin/settings.php";
    }

}
