<?php

class Rpsmdw_Main {

    /**
     * plugin url 
     * @var string
     */
    public static $plugin_url;

    /**
     * plugin directory
     * @var string
     */
    public static $plugin_dir;

    /**
     * plugin unique text domain
     * @var string
     */
    public static $taxdomain = "rp-woo-shipping-icon-description";

    /**
     * plugin title
     * @var string
     */
    public static $plugin_title = "Shipping Icons & Description";

    /**
     * plugin unique slug
     * @var string
     */
    public static $plugin_slug = "rpsmdw-setting";

    /**
     * plugin general setting key
     * @var string
     */
    public static $rpsmdw_option_key = "rpsmdw-setting";
    

    /**
     * plugin settings
     * @var array
     */
    public $rpsmdw_settings = array();

    /**
     * plugin default settings
     * @var array
     */
    public $default_settings = array(
        'text_color' => "#ffffff",
        'text_size' => "12",
    );

    /**
     * Constructor
     */
    public function __construct() {
        global $rpsmdw_plugin_dir, $rpsmdw_plugin_url, $wpdb;

        /* plugin url and directory variable */
        self::$plugin_dir = $rpsmdw_plugin_dir;
        self::$plugin_url = $rpsmdw_plugin_url;

        /* load plugin setting */
        if (empty($this->rpsmdw_settings)) {
            $this->rpsmdw_settings = get_option(self::$rpsmdw_option_key);
        }
        
    }

    /**
     * Function for save plugin general settings
     */
    public function saveSetting() {
        $saveData = array();

        if (isset($_POST[self::$taxdomain])):

            update_option(self::$rpsmdw_option_key, $_POST);
            $this->rpsmdw_settings = $_POST;
        endif;
    }


    /**
     * Function for get plugin general settings
     * @return 	string 
     */
    public function getSetting($key) {
        if (!empty($this->rpsmdw_settings) && isset($this->rpsmdw_settings[$key])) {
            return $this->rpsmdw_settings[$key];
        }

        if (isset($this->default_settings[$key])) {
            return $this->default_settings[$key];
        }

        return false;
    }


}
